Skip to main content
GET
/
v1
/
scrape
/
tiktok
/
videos
/
popular
Popular Videos
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/tiktok/videos/popular \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "success": true,
    "pagination": {
      "has_more": true,
      "limit": 10,
      "page": 1,
      "total_count": 500
    },
    "videos": {
      "0": {
        "country_code": "US",
        "cover": "https://p16-sign-va.tiktokcdn.com/tos-maliva-p-0068c799-us/oYinBFICIiAfgI19B0EAb75KqAirIdvBrb49k1~tplv-noop.image?dr=18692&refresh_token=449de28d&x-expires=1770602748&x-signature=gM6%2FV9HcqVRgdz1KZI5ZMfxbgZQ%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=83ba07fd&idc=sg1&VideoID=v15044gf0000d5unbuvog65lsmo4k8tg",
        "duration": 19,
        "id": "7601361448245218591",
        "item_id": "7601361448245218591",
        "item_url": "https://www.tiktok.com/@mnm_pipi/video/7601361448245218591",
        "region": "United States",
        "title": "Big moment coming šŸ’„ I’m hitting the stage at TikTok LIVE Fest on 12th February in Las Vegas. Meet me on @TikTok #livefest2025"
      }
    }
  },
  "credits_used": 1,
  "endpoint": "tiktok/popular/videos"
}
šŸ’³ 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

period
enum<integer>

Time period in days (7 or 30)

Available options:
7,
30
Example:

7

page
integer

Page number

Example:

1

orderBy
enum<string>

Sort videos by likes, views (hot), comments, or reposts

Available options:
like,
hot,
comment,
repost
Example:

"hot"

countryCode
enum<string>

Country code to get popular videos from

Available options:
AU,
BR,
CA,
EG,
FR,
DE,
ID,
IL,
IT,
JP,
MY,
PH,
RU,
SA,
SG,
KR,
ES,
TW,
TH,
TR,
AE,
GB,
US,
VN
Example:

"US"

Response

Successful response